import request from "@/utils/request";

// 查询网络民情责任人列表
export function listPrincipal(query) {
  return request({
    url: "/zongzhi/principal/list",
    method: "get",
    params: query,
  });
}

// 查询网络民情责任人详细
export function getPrincipal(id) {
  return request({
    url: "/zongzhi/principal/" + id,
    method: "get",
  });
}

// 新增网络民情责任人
export function addPrincipal(data) {
  return request({
    url: "/zongzhi/principal",
    method: "post",
    data: data,
  });
}

// 修改网络民情责任人
export function updatePrincipal(data) {
  return request({
    url: "/zongzhi/principal",
    method: "put",
    data: data,
  });
}

// 删除网络民情责任人
export function delPrincipal(id) {
  return request({
    url: "/zongzhi/principal/" + id,
    method: "delete",
  });
}

// 导出网络民情责任人
export function exportPrincipal(data) {
  return request({
    url: "/zongzhi/principal/export",
    method: "post",
    data,
  });
}
